Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
24.167.0.0
Broadcast address
24.167.127.255
First usable
24.167.0.1
Last usable
24.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 18A70000 · Integer 413597696 to 413630463
Reverse DNS zones
0.167.24.in-addr.arpa
1.167.24.in-addr.arpa
2.167.24.in-addr.arpa
3.167.24.in-addr.arpa
4.167.24.in-addr.arpa
5.167.24.in-addr.arpa
6.167.24.in-addr.arpa
7.167.24.in-addr.arpa
8.167.24.in-addr.arpa
9.167.24.in-addr.arpa
10.167.24.in-addr.arpa
11.167.24.in-addr.arpa
12.167.24.in-addr.arpa
13.167.24.in-addr.arpa
14.167.24.in-addr.arpa
15.167.24.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.10100111.00000000.0000000024.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00011000.10100111.00000000.0000000024.167.0.0
Broadcast00011000.10100111.01111111.1111111124.167.127.255
Split into smaller subnets/29

24.167.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.167.0.0/2924.167.0.1 to 24.167.0.624.167.0.76
224.167.0.8/2924.167.0.9 to 24.167.0.1424.167.0.156
324.167.0.16/2924.167.0.17 to 24.167.0.2224.167.0.236
424.167.0.24/2924.167.0.25 to 24.167.0.3024.167.0.316
524.167.0.32/2924.167.0.33 to 24.167.0.3824.167.0.396
624.167.0.40/2924.167.0.41 to 24.167.0.4624.167.0.476
724.167.0.48/2924.167.0.49 to 24.167.0.5424.167.0.556
824.167.0.56/2924.167.0.57 to 24.167.0.6224.167.0.636
924.167.0.64/2924.167.0.65 to 24.167.0.7024.167.0.716
1024.167.0.72/2924.167.0.73 to 24.167.0.7824.167.0.796
1124.167.0.80/2924.167.0.81 to 24.167.0.8624.167.0.876
1224.167.0.88/2924.167.0.89 to 24.167.0.9424.167.0.956
1324.167.0.96/2924.167.0.97 to 24.167.0.10224.167.0.1036
1424.167.0.104/2924.167.0.105 to 24.167.0.11024.167.0.1116
1524.167.0.112/2924.167.0.113 to 24.167.0.11824.167.0.1196
1624.167.0.120/2924.167.0.121 to 24.167.0.12624.167.0.1276
1724.167.0.128/2924.167.0.129 to 24.167.0.13424.167.0.1356
1824.167.0.136/2924.167.0.137 to 24.167.0.14224.167.0.1436
1924.167.0.144/2924.167.0.145 to 24.167.0.15024.167.0.1516
2024.167.0.152/2924.167.0.153 to 24.167.0.15824.167.0.1596
2124.167.0.160/2924.167.0.161 to 24.167.0.16624.167.0.1676
2224.167.0.168/2924.167.0.169 to 24.167.0.17424.167.0.1756
2324.167.0.176/2924.167.0.177 to 24.167.0.18224.167.0.1836
2424.167.0.184/2924.167.0.185 to 24.167.0.19024.167.0.1916
2524.167.0.192/2924.167.0.193 to 24.167.0.19824.167.0.1996
2624.167.0.200/2924.167.0.201 to 24.167.0.20624.167.0.2076
2724.167.0.208/2924.167.0.209 to 24.167.0.21424.167.0.2156
2824.167.0.216/2924.167.0.217 to 24.167.0.22224.167.0.2236
2924.167.0.224/2924.167.0.225 to 24.167.0.23024.167.0.2316
3024.167.0.232/2924.167.0.233 to 24.167.0.23824.167.0.2396
3124.167.0.240/2924.167.0.241 to 24.167.0.24624.167.0.2476
3224.167.0.248/2924.167.0.249 to 24.167.0.25424.167.0.2556
3324.167.1.0/2924.167.1.1 to 24.167.1.624.167.1.76
3424.167.1.8/2924.167.1.9 to 24.167.1.1424.167.1.156
3524.167.1.16/2924.167.1.17 to 24.167.1.2224.167.1.236
3624.167.1.24/2924.167.1.25 to 24.167.1.3024.167.1.316
3724.167.1.32/2924.167.1.33 to 24.167.1.3824.167.1.396
3824.167.1.40/2924.167.1.41 to 24.167.1.4624.167.1.476
3924.167.1.48/2924.167.1.49 to 24.167.1.5424.167.1.556
4024.167.1.56/2924.167.1.57 to 24.167.1.6224.167.1.636
4124.167.1.64/2924.167.1.65 to 24.167.1.7024.167.1.716
4224.167.1.72/2924.167.1.73 to 24.167.1.7824.167.1.796
4324.167.1.80/2924.167.1.81 to 24.167.1.8624.167.1.876
4424.167.1.88/2924.167.1.89 to 24.167.1.9424.167.1.956
4524.167.1.96/2924.167.1.97 to 24.167.1.10224.167.1.1036
4624.167.1.104/2924.167.1.105 to 24.167.1.11024.167.1.1116
4724.167.1.112/2924.167.1.113 to 24.167.1.11824.167.1.1196
4824.167.1.120/2924.167.1.121 to 24.167.1.12624.167.1.1276
4924.167.1.128/2924.167.1.129 to 24.167.1.13424.167.1.1356
5024.167.1.136/2924.167.1.137 to 24.167.1.14224.167.1.1436
5124.167.1.144/2924.167.1.145 to 24.167.1.15024.167.1.1516
5224.167.1.152/2924.167.1.153 to 24.167.1.15824.167.1.1596
5324.167.1.160/2924.167.1.161 to 24.167.1.16624.167.1.1676
5424.167.1.168/2924.167.1.169 to 24.167.1.17424.167.1.1756
5524.167.1.176/2924.167.1.177 to 24.167.1.18224.167.1.1836
5624.167.1.184/2924.167.1.185 to 24.167.1.19024.167.1.1916
5724.167.1.192/2924.167.1.193 to 24.167.1.19824.167.1.1996
5824.167.1.200/2924.167.1.201 to 24.167.1.20624.167.1.2076
5924.167.1.208/2924.167.1.209 to 24.167.1.21424.167.1.2156
6024.167.1.216/2924.167.1.217 to 24.167.1.22224.167.1.2236
6124.167.1.224/2924.167.1.225 to 24.167.1.23024.167.1.2316
6224.167.1.232/2924.167.1.233 to 24.167.1.23824.167.1.2396
6324.167.1.240/2924.167.1.241 to 24.167.1.24624.167.1.2476
6424.167.1.248/2924.167.1.249 to 24.167.1.25424.167.1.2556
6524.167.2.0/2924.167.2.1 to 24.167.2.624.167.2.76
6624.167.2.8/2924.167.2.9 to 24.167.2.1424.167.2.156
6724.167.2.16/2924.167.2.17 to 24.167.2.2224.167.2.236
6824.167.2.24/2924.167.2.25 to 24.167.2.3024.167.2.316
6924.167.2.32/2924.167.2.33 to 24.167.2.3824.167.2.396
7024.167.2.40/2924.167.2.41 to 24.167.2.4624.167.2.476
7124.167.2.48/2924.167.2.49 to 24.167.2.5424.167.2.556
7224.167.2.56/2924.167.2.57 to 24.167.2.6224.167.2.636
7324.167.2.64/2924.167.2.65 to 24.167.2.7024.167.2.716
7424.167.2.72/2924.167.2.73 to 24.167.2.7824.167.2.796
7524.167.2.80/2924.167.2.81 to 24.167.2.8624.167.2.876
7624.167.2.88/2924.167.2.89 to 24.167.2.9424.167.2.956
7724.167.2.96/2924.167.2.97 to 24.167.2.10224.167.2.1036
7824.167.2.104/2924.167.2.105 to 24.167.2.11024.167.2.1116
7924.167.2.112/2924.167.2.113 to 24.167.2.11824.167.2.1196
8024.167.2.120/2924.167.2.121 to 24.167.2.12624.167.2.1276
8124.167.2.128/2924.167.2.129 to 24.167.2.13424.167.2.1356
8224.167.2.136/2924.167.2.137 to 24.167.2.14224.167.2.1436
8324.167.2.144/2924.167.2.145 to 24.167.2.15024.167.2.1516
8424.167.2.152/2924.167.2.153 to 24.167.2.15824.167.2.1596
8524.167.2.160/2924.167.2.161 to 24.167.2.16624.167.2.1676
8624.167.2.168/2924.167.2.169 to 24.167.2.17424.167.2.1756
8724.167.2.176/2924.167.2.177 to 24.167.2.18224.167.2.1836
8824.167.2.184/2924.167.2.185 to 24.167.2.19024.167.2.1916
8924.167.2.192/2924.167.2.193 to 24.167.2.19824.167.2.1996
9024.167.2.200/2924.167.2.201 to 24.167.2.20624.167.2.2076
9124.167.2.208/2924.167.2.209 to 24.167.2.21424.167.2.2156
9224.167.2.216/2924.167.2.217 to 24.167.2.22224.167.2.2236
9324.167.2.224/2924.167.2.225 to 24.167.2.23024.167.2.2316
9424.167.2.232/2924.167.2.233 to 24.167.2.23824.167.2.2396
9524.167.2.240/2924.167.2.241 to 24.167.2.24624.167.2.2476
9624.167.2.248/2924.167.2.249 to 24.167.2.25424.167.2.2556
9724.167.3.0/2924.167.3.1 to 24.167.3.624.167.3.76
9824.167.3.8/2924.167.3.9 to 24.167.3.1424.167.3.156
9924.167.3.16/2924.167.3.17 to 24.167.3.2224.167.3.236
10024.167.3.24/2924.167.3.25 to 24.167.3.3024.167.3.316
10124.167.3.32/2924.167.3.33 to 24.167.3.3824.167.3.396
10224.167.3.40/2924.167.3.41 to 24.167.3.4624.167.3.476
10324.167.3.48/2924.167.3.49 to 24.167.3.5424.167.3.556
10424.167.3.56/2924.167.3.57 to 24.167.3.6224.167.3.636
10524.167.3.64/2924.167.3.65 to 24.167.3.7024.167.3.716
10624.167.3.72/2924.167.3.73 to 24.167.3.7824.167.3.796
10724.167.3.80/2924.167.3.81 to 24.167.3.8624.167.3.876
10824.167.3.88/2924.167.3.89 to 24.167.3.9424.167.3.956
10924.167.3.96/2924.167.3.97 to 24.167.3.10224.167.3.1036
11024.167.3.104/2924.167.3.105 to 24.167.3.11024.167.3.1116
11124.167.3.112/2924.167.3.113 to 24.167.3.11824.167.3.1196
11224.167.3.120/2924.167.3.121 to 24.167.3.12624.167.3.1276
11324.167.3.128/2924.167.3.129 to 24.167.3.13424.167.3.1356
11424.167.3.136/2924.167.3.137 to 24.167.3.14224.167.3.1436
11524.167.3.144/2924.167.3.145 to 24.167.3.15024.167.3.1516
11624.167.3.152/2924.167.3.153 to 24.167.3.15824.167.3.1596
11724.167.3.160/2924.167.3.161 to 24.167.3.16624.167.3.1676
11824.167.3.168/2924.167.3.169 to 24.167.3.17424.167.3.1756
11924.167.3.176/2924.167.3.177 to 24.167.3.18224.167.3.1836
12024.167.3.184/2924.167.3.185 to 24.167.3.19024.167.3.1916
12124.167.3.192/2924.167.3.193 to 24.167.3.19824.167.3.1996
12224.167.3.200/2924.167.3.201 to 24.167.3.20624.167.3.2076
12324.167.3.208/2924.167.3.209 to 24.167.3.21424.167.3.2156
12424.167.3.216/2924.167.3.217 to 24.167.3.22224.167.3.2236
12524.167.3.224/2924.167.3.225 to 24.167.3.23024.167.3.2316
12624.167.3.232/2924.167.3.233 to 24.167.3.23824.167.3.2396
12724.167.3.240/2924.167.3.241 to 24.167.3.24624.167.3.2476
12824.167.3.248/2924.167.3.249 to 24.167.3.25424.167.3.2556
12924.167.4.0/2924.167.4.1 to 24.167.4.624.167.4.76
13024.167.4.8/2924.167.4.9 to 24.167.4.1424.167.4.156
13124.167.4.16/2924.167.4.17 to 24.167.4.2224.167.4.236
13224.167.4.24/2924.167.4.25 to 24.167.4.3024.167.4.316
13324.167.4.32/2924.167.4.33 to 24.167.4.3824.167.4.396
13424.167.4.40/2924.167.4.41 to 24.167.4.4624.167.4.476
13524.167.4.48/2924.167.4.49 to 24.167.4.5424.167.4.556
13624.167.4.56/2924.167.4.57 to 24.167.4.6224.167.4.636
13724.167.4.64/2924.167.4.65 to 24.167.4.7024.167.4.716
13824.167.4.72/2924.167.4.73 to 24.167.4.7824.167.4.796
13924.167.4.80/2924.167.4.81 to 24.167.4.8624.167.4.876
14024.167.4.88/2924.167.4.89 to 24.167.4.9424.167.4.956
14124.167.4.96/2924.167.4.97 to 24.167.4.10224.167.4.1036
14224.167.4.104/2924.167.4.105 to 24.167.4.11024.167.4.1116
14324.167.4.112/2924.167.4.113 to 24.167.4.11824.167.4.1196
14424.167.4.120/2924.167.4.121 to 24.167.4.12624.167.4.1276
14524.167.4.128/2924.167.4.129 to 24.167.4.13424.167.4.1356
14624.167.4.136/2924.167.4.137 to 24.167.4.14224.167.4.1436
14724.167.4.144/2924.167.4.145 to 24.167.4.15024.167.4.1516
14824.167.4.152/2924.167.4.153 to 24.167.4.15824.167.4.1596
14924.167.4.160/2924.167.4.161 to 24.167.4.16624.167.4.1676
15024.167.4.168/2924.167.4.169 to 24.167.4.17424.167.4.1756
15124.167.4.176/2924.167.4.177 to 24.167.4.18224.167.4.1836
15224.167.4.184/2924.167.4.185 to 24.167.4.19024.167.4.1916
15324.167.4.192/2924.167.4.193 to 24.167.4.19824.167.4.1996
15424.167.4.200/2924.167.4.201 to 24.167.4.20624.167.4.2076
15524.167.4.208/2924.167.4.209 to 24.167.4.21424.167.4.2156
15624.167.4.216/2924.167.4.217 to 24.167.4.22224.167.4.2236
15724.167.4.224/2924.167.4.225 to 24.167.4.23024.167.4.2316
15824.167.4.232/2924.167.4.233 to 24.167.4.23824.167.4.2396
15924.167.4.240/2924.167.4.241 to 24.167.4.24624.167.4.2476
16024.167.4.248/2924.167.4.249 to 24.167.4.25424.167.4.2556
16124.167.5.0/2924.167.5.1 to 24.167.5.624.167.5.76
16224.167.5.8/2924.167.5.9 to 24.167.5.1424.167.5.156
16324.167.5.16/2924.167.5.17 to 24.167.5.2224.167.5.236
16424.167.5.24/2924.167.5.25 to 24.167.5.3024.167.5.316
16524.167.5.32/2924.167.5.33 to 24.167.5.3824.167.5.396
16624.167.5.40/2924.167.5.41 to 24.167.5.4624.167.5.476
16724.167.5.48/2924.167.5.49 to 24.167.5.5424.167.5.556
16824.167.5.56/2924.167.5.57 to 24.167.5.6224.167.5.636
16924.167.5.64/2924.167.5.65 to 24.167.5.7024.167.5.716
17024.167.5.72/2924.167.5.73 to 24.167.5.7824.167.5.796
17124.167.5.80/2924.167.5.81 to 24.167.5.8624.167.5.876
17224.167.5.88/2924.167.5.89 to 24.167.5.9424.167.5.956
17324.167.5.96/2924.167.5.97 to 24.167.5.10224.167.5.1036
17424.167.5.104/2924.167.5.105 to 24.167.5.11024.167.5.1116
17524.167.5.112/2924.167.5.113 to 24.167.5.11824.167.5.1196
17624.167.5.120/2924.167.5.121 to 24.167.5.12624.167.5.1276
17724.167.5.128/2924.167.5.129 to 24.167.5.13424.167.5.1356
17824.167.5.136/2924.167.5.137 to 24.167.5.14224.167.5.1436
17924.167.5.144/2924.167.5.145 to 24.167.5.15024.167.5.1516
18024.167.5.152/2924.167.5.153 to 24.167.5.15824.167.5.1596
18124.167.5.160/2924.167.5.161 to 24.167.5.16624.167.5.1676
18224.167.5.168/2924.167.5.169 to 24.167.5.17424.167.5.1756
18324.167.5.176/2924.167.5.177 to 24.167.5.18224.167.5.1836
18424.167.5.184/2924.167.5.185 to 24.167.5.19024.167.5.1916
18524.167.5.192/2924.167.5.193 to 24.167.5.19824.167.5.1996
18624.167.5.200/2924.167.5.201 to 24.167.5.20624.167.5.2076
18724.167.5.208/2924.167.5.209 to 24.167.5.21424.167.5.2156
18824.167.5.216/2924.167.5.217 to 24.167.5.22224.167.5.2236
18924.167.5.224/2924.167.5.225 to 24.167.5.23024.167.5.2316
19024.167.5.232/2924.167.5.233 to 24.167.5.23824.167.5.2396
19124.167.5.240/2924.167.5.241 to 24.167.5.24624.167.5.2476
19224.167.5.248/2924.167.5.249 to 24.167.5.25424.167.5.2556
19324.167.6.0/2924.167.6.1 to 24.167.6.624.167.6.76
19424.167.6.8/2924.167.6.9 to 24.167.6.1424.167.6.156
19524.167.6.16/2924.167.6.17 to 24.167.6.2224.167.6.236
19624.167.6.24/2924.167.6.25 to 24.167.6.3024.167.6.316
19724.167.6.32/2924.167.6.33 to 24.167.6.3824.167.6.396
19824.167.6.40/2924.167.6.41 to 24.167.6.4624.167.6.476
19924.167.6.48/2924.167.6.49 to 24.167.6.5424.167.6.556
20024.167.6.56/2924.167.6.57 to 24.167.6.6224.167.6.636
20124.167.6.64/2924.167.6.65 to 24.167.6.7024.167.6.716
20224.167.6.72/2924.167.6.73 to 24.167.6.7824.167.6.796
20324.167.6.80/2924.167.6.81 to 24.167.6.8624.167.6.876
20424.167.6.88/2924.167.6.89 to 24.167.6.9424.167.6.956
20524.167.6.96/2924.167.6.97 to 24.167.6.10224.167.6.1036
20624.167.6.104/2924.167.6.105 to 24.167.6.11024.167.6.1116
20724.167.6.112/2924.167.6.113 to 24.167.6.11824.167.6.1196
20824.167.6.120/2924.167.6.121 to 24.167.6.12624.167.6.1276
20924.167.6.128/2924.167.6.129 to 24.167.6.13424.167.6.1356
21024.167.6.136/2924.167.6.137 to 24.167.6.14224.167.6.1436
21124.167.6.144/2924.167.6.145 to 24.167.6.15024.167.6.1516
21224.167.6.152/2924.167.6.153 to 24.167.6.15824.167.6.1596
21324.167.6.160/2924.167.6.161 to 24.167.6.16624.167.6.1676
21424.167.6.168/2924.167.6.169 to 24.167.6.17424.167.6.1756
21524.167.6.176/2924.167.6.177 to 24.167.6.18224.167.6.1836
21624.167.6.184/2924.167.6.185 to 24.167.6.19024.167.6.1916
21724.167.6.192/2924.167.6.193 to 24.167.6.19824.167.6.1996
21824.167.6.200/2924.167.6.201 to 24.167.6.20624.167.6.2076
21924.167.6.208/2924.167.6.209 to 24.167.6.21424.167.6.2156
22024.167.6.216/2924.167.6.217 to 24.167.6.22224.167.6.2236
22124.167.6.224/2924.167.6.225 to 24.167.6.23024.167.6.2316
22224.167.6.232/2924.167.6.233 to 24.167.6.23824.167.6.2396
22324.167.6.240/2924.167.6.241 to 24.167.6.24624.167.6.2476
22424.167.6.248/2924.167.6.249 to 24.167.6.25424.167.6.2556
22524.167.7.0/2924.167.7.1 to 24.167.7.624.167.7.76
22624.167.7.8/2924.167.7.9 to 24.167.7.1424.167.7.156
22724.167.7.16/2924.167.7.17 to 24.167.7.2224.167.7.236
22824.167.7.24/2924.167.7.25 to 24.167.7.3024.167.7.316
22924.167.7.32/2924.167.7.33 to 24.167.7.3824.167.7.396
23024.167.7.40/2924.167.7.41 to 24.167.7.4624.167.7.476
23124.167.7.48/2924.167.7.49 to 24.167.7.5424.167.7.556
23224.167.7.56/2924.167.7.57 to 24.167.7.6224.167.7.636
23324.167.7.64/2924.167.7.65 to 24.167.7.7024.167.7.716
23424.167.7.72/2924.167.7.73 to 24.167.7.7824.167.7.796
23524.167.7.80/2924.167.7.81 to 24.167.7.8624.167.7.876
23624.167.7.88/2924.167.7.89 to 24.167.7.9424.167.7.956
23724.167.7.96/2924.167.7.97 to 24.167.7.10224.167.7.1036
23824.167.7.104/2924.167.7.105 to 24.167.7.11024.167.7.1116
23924.167.7.112/2924.167.7.113 to 24.167.7.11824.167.7.1196
24024.167.7.120/2924.167.7.121 to 24.167.7.12624.167.7.1276
24124.167.7.128/2924.167.7.129 to 24.167.7.13424.167.7.1356
24224.167.7.136/2924.167.7.137 to 24.167.7.14224.167.7.1436
24324.167.7.144/2924.167.7.145 to 24.167.7.15024.167.7.1516
24424.167.7.152/2924.167.7.153 to 24.167.7.15824.167.7.1596
24524.167.7.160/2924.167.7.161 to 24.167.7.16624.167.7.1676
24624.167.7.168/2924.167.7.169 to 24.167.7.17424.167.7.1756
24724.167.7.176/2924.167.7.177 to 24.167.7.18224.167.7.1836
24824.167.7.184/2924.167.7.185 to 24.167.7.19024.167.7.1916
24924.167.7.192/2924.167.7.193 to 24.167.7.19824.167.7.1996
25024.167.7.200/2924.167.7.201 to 24.167.7.20624.167.7.2076
25124.167.7.208/2924.167.7.209 to 24.167.7.21424.167.7.2156
25224.167.7.216/2924.167.7.217 to 24.167.7.22224.167.7.2236
25324.167.7.224/2924.167.7.225 to 24.167.7.23024.167.7.2316
25424.167.7.232/2924.167.7.233 to 24.167.7.23824.167.7.2396
25524.167.7.240/2924.167.7.241 to 24.167.7.24624.167.7.2476
25624.167.7.248/2924.167.7.249 to 24.167.7.25424.167.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses